stl_tree.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_USE_ALLOC_PTR_FOR_RB_TREE

## Enumerations

enum | _Rb_tree_color { _S_red , _S_black }

## Functions

unsigned int | std::_Rb_tree_black_count (const _Rb_tree_node_base *__node, const _Rb_tree_node_base *__root) throw ()
_Rb_tree_node_base * | std::_Rb_tree_decrement (_Rb_tree_node_base *__x) throw ()
_Rb_tree_node_base * | std::_Rb_tree_increment (_Rb_tree_node_base *__x) throw ()
void | std::_Rb_tree_insert_and_rebalance (const bool __insert_left, _Rb_tree_node_base *__x, _Rb_tree_node_base *__p, _Rb_tree_node_base &__header) throw ()
_Rb_tree_node_base * | std::_Rb_tree_rebalance_for_erase (_Rb_tree_node_base *const __z, _Rb_tree_node_base &__header) throw ()
template<typename _Key, typename _Val, typename _KeyOfValue, typename _Compare, typename _Alloc>
void | std::swap (_Rb_tree< _Key, _Val, _KeyOfValue, _Compare, _Alloc > &__x, _Rb_tree< _Key, _Val, _KeyOfValue, _Compare, _Alloc > &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <map> or <set>.

Definition in file stl_tree.h.

## Macro Definition Documentation

## _GLIBCXX_USE_ALLOC_PTR_FOR_RB_TREE

#define _GLIBCXX_USE_ALLOC_PTR_FOR_RB_TREE

Definition at line 82 of file stl_tree.h.